## clonekeen 8.4

=== Makefile ===
EXE = keen
PREFIX = /opt/clonekeen
USRPREFIX = /usr
EXTRADIR = ./extra
DESTDIR = 

BINDIR = $(DESTDIR)/$(PREFIX)
ICNDIR = $(DESTDIR)/$(USRPREFIX)/share/pixmaps
APPDIR = $(DESTDIR)/$(USRPREFIX)/share/applications/hildon

DATA = $(EXTRADIR)/keen.sh bin README LICENSE
ICON = keen.png
DESKTOP = keen.desktop


OBJS = \
main.o sanity.o game.o gamedo.o \
gamepdo.o gamepdo_wm.o editor/editor.o editor/autolight.o console.o \
fileio.o maploader.o map.o graphics.o palette.o \
fonts.o misc.o misc_ui.o graphicmaker.o ini.o \
intro.o menumanager.o menu_options.o menu_keysetup.o menu_savegames.o \
menu_custommap.o editor/menu_editor.o customepisode.o savegame.o twirly.o \
sgrle.o lprintf.o vgatiles.o latch.o lz.o \
message.o cinematics/seqcommon.o cinematics/e1ending.o cinematics/e3ending.o cinematics/blowupworld.o \
cinematics/mortimer.o cinematics/TBC.o FinaleScreenLoader.o globals.o ai/yorp.o \
ai/garg.o ai/vort.o ai/butler.o ai/tank.o ai/door.o \
ai/ray.o ai/icecannon.o ai/teleport.o ai/rope.o ai/walker.o \
ai/tankep2.o ai/platform.o ai/platvert.o ai/vortelite.o ai/se.o \
ai/baby.o ai/earth.o ai/foob.o ai/ninja.o ai/meep.o \
ai/sndwave.o ai/mother.o ai/fireball.o ai/balljack.o ai/nessie.o \
ai/autoray.o ai/gotpoints.o sdl/keydrv.o sdl/snddrv.o sdl/timedrv.o \
sdl/viddrv.o scale2x/scalebit.o scale2x/scale2x.o scale2x/scale3x.o scale2x/pixel.o \
platform.o

CC = gcc
CFLAGS = -O2 -fsigned-char
LDFLAGS = -lSDL -lSDLmain -lstdc++
RM = rm -f
CP = cp -r
MD = mkdir -p
ECHO = echo
CHMOD = chmod
STRIP = strip

all: $(EXE)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

$(EXE): $(OBJS)
	$(CC) $(LDFLAGS) $^ -o $@
	@$(STRIP) $@
	@$(ECHO) " o If there are no errors, the game compiled succesfully"

clean:
	@$(ECHO) " o Cleaning up source directory"
	@$(RM) *.o *.bak core $(EXE)

install: all
	@$(ECHO) " o Creating install directory $(BINDIR)"
	@$(MD) "$(BINDIR)"
	@$(ECHO) " o Installing game and data to $(BINDIR)"
	@$(CP) $(DATA) "$(BINDIR)"
	$(CHMOD) +x "$(BINDIR)/keen.sh"
	@$(CP) "$(EXE)" "$(BINDIR)/bin"
	@$(ECHO) " o Creating application menu entry"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(EXTRADIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(EXTRADIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) ""

uninstall:
	@$(ECHO) " o Removing game and data from $(BINDIR)"
	@$(RM) -r "$(BINDIR)"
	@$(ECHO) " o Removing application menu entry"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) ""

=== tileattr/Makefile ===
CFLAGS=-c -g -DTARGET_WIN32   `sdl-config --cflags`

all: tileattr.exe

clean:
	rm -f tileattr.o
	rm -f ../sanity.o
	rm -f ../game.o
	rm -f ../gamedo.o
	rm -f ../gamepdo.o
	rm -f ../gamepdo_wm.o
	rm -f ../editor/editor.o
	rm -f ../console.o
	rm -f ../fileio.o
	rm -f ../maploader.o
	rm -f ../map.o
	rm -f ../graphics.o
	rm -f ../palette.o
	rm -f ../fonts.o
	rm -f ../misc.o
	rm -f ../misc_ui.o
	rm -f ../graphicmaker.o
	rm -f ../ini.o
	rm -f ../intro.o
	rm -f ../menumanager.o
	rm -f ../customepisode.o
	rm -f ../savegame.o
	rm -f ../twirly.o
	rm -f ../sgrle.o
	rm -f ../lprintf.o
	rm -f ../vgatiles.o
	rm -f ../latch.o
	rm -f ../lz.o
	rm -f ../platform.o
	rm -f ../message.o
	rm -f ../cinematics/seqcommon.o
	rm -f ../cinematics/e1ending.o
	rm -f ../cinematics/e3ending.o
	rm -f ../cinematics/blowupworld.o
	rm -f ../cinematics/mortimer.o
	rm -f ../cinematics/TBC.o
	rm -f ../FinaleScreenLoader.o
	rm -f ../globals.o
	rm -f ../ai/yorp.o
	rm -f ../ai/garg.o
	rm -f ../ai/vort.o
	rm -f ../ai/butler.o
	rm -f ../ai/tank.o
	rm -f ../ai/door.o
	rm -f ../ai/ray.o
	rm -f ../ai/icecannon.o
	rm -f ../ai/teleport.o
	rm -f ../ai/rope.o
	rm -f ../ai/walker.o
	rm -f ../ai/tankep2.o
	rm -f ../ai/platform.o
	rm -f ../ai/platvert.o
	rm -f ../ai/vortelite.o
	rm -f ../ai/se.o
	rm -f ../ai/baby.o
	rm -f ../ai/earth.o
	rm -f ../ai/foob.o
	rm -f ../ai/ninja.o
	rm -f ../ai/meep.o
	rm -f ../ai/sndwave.o
	rm -f ../ai/mother.o
	rm -f ../ai/fireball.o
	rm -f ../ai/balljack.o
	rm -f ../ai/nessie.o
	rm -f ../ai/autoray.o
	rm -f ../ai/gotpoints.o
	rm -f ../sdl/keydrv.o
	rm -f ../sdl/snddrv.o
	rm -f ../sdl/timedrv.o
	rm -f ../sdl/viddrv.o
	rm -f ../scale2x/scalebit.o
	rm -f ../scale2x/scale2x.o
	rm -f ../scale2x/scale3x.o
	rm -f ../scale2x/pixel.o

cleanfdh:
	rm -f tileattr.fdh
	rm -f ../sanity.fdh
	rm -f ../game.fdh
	rm -f ../gamedo.fdh
	rm -f ../gamepdo.fdh
	rm -f ../gamepdo_wm.fdh
	rm -f ../editor/editor.fdh
	rm -f ../console.fdh
	rm -f ../fileio.fdh
	rm -f ../maploader.fdh
	rm -f ../map.fdh
	rm -f ../graphics.fdh
	rm -f ../palette.fdh
	rm -f ../fonts.fdh
	rm -f ../misc.fdh
	rm -f ../misc_ui.fdh
	rm -f ../graphicmaker.fdh
	rm -f ../ini.fdh
	rm -f ../intro.fdh
	rm -f ../menumanager.fdh
	rm -f ../customepisode.fdh
	rm -f ../savegame.fdh
	rm -f ../twirly.fdh
	rm -f ../sgrle.fdh
	rm -f ../lprintf.fdh
	rm -f ../vgatiles.fdh
	rm -f ../latch.fdh
	rm -f ../lz.fdh
	rm -f ../platform.fdh
	rm -f ../message.fdh
	rm -f ../cinematics/seqcommon.fdh
	rm -f ../cinematics/e1ending.fdh
	rm -f ../cinematics/e3ending.fdh
	rm -f ../cinematics/blowupworld.fdh
	rm -f ../cinematics/mortimer.fdh
	rm -f ../cinematics/TBC.fdh
	rm -f ../FinaleScreenLoader.fdh
	rm -f ../globals.fdh
	rm -f ../ai/yorp.fdh
	rm -f ../ai/garg.fdh
	rm -f ../ai/vort.fdh
	rm -f ../ai/butler.fdh
	rm -f ../ai/tank.fdh
	rm -f ../ai/door.fdh
	rm -f ../ai/ray.fdh
	rm -f ../ai/icecannon.fdh
	rm -f ../ai/teleport.fdh
	rm -f ../ai/rope.fdh
	rm -f ../ai/walker.fdh
	rm -f ../ai/tankep2.fdh
	rm -f ../ai/platform.fdh
	rm -f ../ai/platvert.fdh
	rm -f ../ai/vortelite.fdh
	rm -f ../ai/se.fdh
	rm -f ../ai/baby.fdh
	rm -f ../ai/earth.fdh
	rm -f ../ai/foob.fdh
	rm -f ../ai/ninja.fdh
	rm -f ../ai/meep.fdh
	rm -f ../ai/sndwave.fdh
	rm -f ../ai/mother.fdh
	rm -f ../ai/fireball.fdh
	rm -f ../ai/balljack.fdh
	rm -f ../ai/nessie.fdh
	rm -f ../ai/autoray.fdh
	rm -f ../ai/gotpoints.fdh
	rm -f ../sdl/keydrv.fdh
	rm -f ../sdl/snddrv.fdh
	rm -f ../sdl/timedrv.fdh
	rm -f ../sdl/viddrv.fdh
	rm -f ../scale2x/scalebit.fdh
	rm -f ../scale2x/scale2x.fdh
	rm -f ../scale2x/scale3x.fdh
	rm -f ../scale2x/pixel.fdh

cleanall: clean cleanfdh

tileattr.exe:  tileattr.o ../sanity.o ../game.o ../gamedo.o \
	 ../gamepdo.o ../gamepdo_wm.o ../editor/editor.o ../console.o ../fileio.o \
	 ../maploader.o ../map.o ../graphics.o ../palette.o ../fonts.o \
	 ../misc.o ../misc_ui.o ../graphicmaker.o ../ini.o ../intro.o \
	 ../menumanager.o ../customepisode.o ../savegame.o ../twirly.o ../sgrle.o \
	 ../lprintf.o ../vgatiles.o ../latch.o ../lz.o ../platform.o \
	 ../message.o ../cinematics/seqcommon.o ../cinematics/e1ending.o ../cinematics/e3ending.o ../cinematics/blowupworld.o \
	 ../cinematics/mortimer.o ../cinematics/TBC.o ../FinaleScreenLoader.o ../globals.o ../ai/yorp.o \
	 ../ai/garg.o ../ai/vort.o ../ai/butler.o ../ai/tank.o ../ai/door.o \
	 ../ai/ray.o ../ai/icecannon.o ../ai/teleport.o ../ai/rope.o ../ai/walker.o \
	 ../ai/tankep2.o ../ai/platform.o ../ai/platvert.o ../ai/vortelite.o ../ai/se.o \
	 ../ai/baby.o ../ai/earth.o ../ai/foob.o ../ai/ninja.o ../ai/meep.o \
	 ../ai/sndwave.o ../ai/mother.o ../ai/fireball.o ../ai/balljack.o ../ai/nessie.o \
	 ../ai/autoray.o ../ai/gotpoints.o ../sdl/keydrv.o ../sdl/snddrv.o ../sdl/timedrv.o \
	 ../sdl/viddrv.o ../scale2x/scalebit.o ../scale2x/scale2x.o ../scale2x/scale3x.o ../scale2x/pixel.o
	gcc -o tileattr.exe \
	 tileattr.o ../sanity.o ../game.o ../gamedo.o \
	 ../gamepdo.o ../gamepdo_wm.o ../editor/editor.o ../console.o ../fileio.o \
	 ../maploader.o ../map.o ../graphics.o ../palette.o ../fonts.o \
	 ../misc.o ../misc_ui.o ../graphicmaker.o ../ini.o ../intro.o \
	 ../menumanager.o ../customepisode.o ../savegame.o ../twirly.o ../sgrle.o \
	 ../lprintf.o ../vgatiles.o ../latch.o ../lz.o ../platform.o \
	 ../message.o ../cinematics/seqcommon.o ../cinematics/e1ending.o ../cinematics/e3ending.o ../cinematics/blowupworld.o \
	 ../cinematics/mortimer.o ../cinematics/TBC.o ../FinaleScreenLoader.o ../globals.o ../ai/yorp.o \
	 ../ai/garg.o ../ai/vort.o ../ai/butler.o ../ai/tank.o ../ai/door.o \
	 ../ai/ray.o ../ai/icecannon.o ../ai/teleport.o ../ai/rope.o ../ai/walker.o \
	 ../ai/tankep2.o ../ai/platform.o ../ai/platvert.o ../ai/vortelite.o ../ai/se.o \
	 ../ai/baby.o ../ai/earth.o ../ai/foob.o ../ai/ninja.o ../ai/meep.o \
	 ../ai/sndwave.o ../ai/mother.o ../ai/fireball.o ../ai/balljack.o ../ai/nessie.o \
	 ../ai/autoray.o ../ai/gotpoints.o ../sdl/keydrv.o ../sdl/snddrv.o ../sdl/timedrv.o \
	 ../sdl/viddrv.o ../scale2x/scalebit.o ../scale2x/scale2x.o ../scale2x/scale3x.o ../scale2x/pixel.o \
	 `sdl-config --libs`


tileattr.o:	tileattr.c tileattr.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) tileattr.c -o tileattr.o

../sanity.o:	../sanity.c ../sanity.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../sanity.c -o ../sanity.o

../game.o:	../game.c ../game.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../game.c -o ../game.o

../gamedo.o:	../gamedo.c ../gamedo.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../gamedo.c -o ../gamedo.o

../gamepdo.o:	../gamepdo.c ../gamepdo.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../gamepdo.c -o ../gamepdo.o

../gamepdo_wm.o:	../gamepdo_wm.c ../gamepdo_wm.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../gamepdo_wm.c -o ../gamepdo_wm.o

../editor/editor.o:	../editor/editor.c ../editor/editor.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../editor/editor.c -o ../editor/editor.o

../console.o:	../console.c ../console.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../console.c -o ../console.o

../fileio.o:	../fileio.c ../fileio.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../fileio.c -o ../fileio.o

../maploader.o:	../maploader.c ../maploader.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h ../maploader.h
	gcc $(CFLAGS) ../maploader.c -o ../maploader.o

../map.o:	../map.c ../map.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../map.c -o ../map.o

../graphics.o:	../graphics.c ../graphics.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../graphics.c -o ../graphics.o

../palette.o:	../palette.c ../palette.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../palette.c -o ../palette.o

../fonts.o:	../fonts.c ../fonts.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../fonts.c -o ../fonts.o

../misc.o:	../misc.c ../misc.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../misc.c -o ../misc.o

../misc_ui.o:	../misc_ui.c ../misc_ui.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../misc_ui.c -o ../misc_ui.o

../graphicmaker.o:	../graphicmaker.c ../graphicmaker.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h ../ai/vort.h
	gcc $(CFLAGS) ../graphicmaker.c -o ../graphicmaker.o

../ini.o:	../ini.c ../ini.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../ini.c -o ../ini.o

../intro.o:	../intro.c ../intro.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h ../pressf10.h
	gcc $(CFLAGS) ../intro.c -o ../intro.o

../menumanager.o:	../menumanager.c ../menumanager.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h ../menu_options.c ../menu_keysetup.c \
		../menu_savegames.c ../menu_custommap.c ../editor/menu_editor.c
	gcc $(CFLAGS) ../menumanager.c -o ../menumanager.o

../customepisode.o:	../customepisode.c ../customepisode.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../customepisode.c -o ../customepisode.o

../savegame.o:	../savegame.c ../savegame.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../savegame.c -o ../savegame.o

../twirly.o:	../twirly.c ../twirly.fdh
	gcc $(CFLAGS) ../twirly.c -o ../twirly.o

../sgrle.o:	../sgrle.c ../sgrle.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../sgrle.c -o ../sgrle.o

../lprintf.o:	../lprintf.c ../lprintf.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../lprintf.c -o ../lprintf.o

../vgatiles.o:	../vgatiles.c ../vgatiles.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h ../tga.c ../tga.h
	gcc $(CFLAGS) ../vgatiles.c -o ../vgatiles.o

../latch.o:	../latch.c ../latch.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../latch.c -o ../latch.o

../lz.o:	../lz.c ../lz.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \
		../keys.h ../macros.h ../ai/enemydata.h \
		../globals.h
	gcc $(CFLAGS) ../lz.c -o ../lz.o

../platform.o:	../platform.c ../platform.fdh ../keen.h ../osparam.h \
		../sounds.h ../latch.h ../game.h \

=== debian/changelog ===
clonekeen (8.4) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 18 Jun 2012 06:31:24 -0500

=== debian/control ===
Source: clonekeen
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev
Standards-Version: 3.7.2

Package: clonekeen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The free-software Invasion of the Vorticons clone
 This is a very nearly complete clone of one of my favorite classic DOS games, Commander Keen: Invasion of the Vorticons by ID. The game is written in pure C, uses SDL, and is generally very easy to compile on most platforms.
XSBC-Maemo-Display-Name: CloneKeen
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAAMAUExURQCtAFL/Uq0AAP///wAAAP///wAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAABnV25IAAAAGdFJOU///////ALO/pL8AAAD9
 SURBVHja7JXBjoMwEEOfk/T/f5jBe2lLmIQC0h5WqyIuQXE8YzuDHtx7Cl/A
 XwC0/dKAbjA47MX9B9sfAI4CtUMMBwwl4X1FxdTfbTp1LEA6ZlBdIZq6HiLt
 TyWpab1tnDZZHG46Aajej8abwnEFsKMYKxpkPY3UBFAhMA3qcgFgCECEp8eN
 WQrAFVbBwtCEHinfuBkZkNdJ22XY36lUam/jhMGB8xVcE0fywe3M+XIYpAO3
 U7xRYG9v5IpyvCuK7swYVUqyPn3YVoMP4xWtL4ihcSV8sQkzuUDTkp7bHOBM
 sge8OnDTW9FEkrPUTxvPJk/7MJb0/WX9I8DPAGB+cnpbQTinAAAAAElFTkSu
 QmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/clonekeen.sgml > clonekeen.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/clonekeen.
	$(MAKE) DESTDIR=$(CURDIR)/debian/clonekeen install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
